Page MenuHomePhabricator

Fatal error Flow\Exception\InvalidDataException on user talk page
Closed, ResolvedPublicPRODUCTION ERROR

Description

Hello,

A frwiki user reported a bug that occurred when disabling Flow on his talk page :

« Le processus de Discussions Structurées n’est pas associé avec cette page. »

[e659ae51-d864-4f2a-bac9-496825aeea7e] 2022-05-21 08:38:16: Erreur fatale de type « Flow\Exception\InvalidDataException »

Report : w:fr:Wikipédia:Questions techniques/semaine 20 2022#Exception sur page de discussion Flow.

Talk page : w:fr:Discussion utilisateur:Omtylo.

Auto-translate user report :
« On my user page, I had a Flow system working, but I intended to put it back in Wikicode So I looked in the settings to disable Flow and found that the gadget was disabled So I re-enabled it and then disabled it and ended up with a corrupted flow page and bonus: a visible change on a deleted page in the Flow Talk Page Manager contributions (the user) Could I get some help on how to fix this please? ».

Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr triaged this task as High priority.May 27 2022, 10:56 AM
Tgr edited projects, added Growth-Team (Sprint 0 (Growth Team)); removed Growth-Team.
Tgr subscribed.

Talk page content is inaccessible -> high priority.

Aklapper changed the subtype of this task from "Task" to "Production Error".May 27 2022, 3:23 PM

@ppelberg I know your team is working on improvements to Talk pages. Is it possible this issue will be fixed as part of what the Editing team is working on, or will this be a totally separate issue that the Growth team needs to consider working on?

I know Growth has worked on similar issues in the past: https://phabricator.wikimedia.org/T202358 & https://phabricator.wikimedia.org/T70526 in case that's helpful.

Urbanecm_WMF claimed this task.
Urbanecm_WMF subscribed.

@KStoller-WMF FYI, Growth team is somewhat officially responsible for StructuredDiscussions, see Developers/Maintainers. Unfortunately, it is broken in a lot of ways, and this is an example of that :/.

This task looks to be another instance of T265534. The same cure (running extensions/Flow/maintenance/FlowFixInconsistentBoards.php) appears to do the trick.

@Tractopelle-jaune The issue with https://fr.wikipedia.org/wiki/Discussion_utilisateur:Omtylo should be now resolved -- the page loads fine for me now. Can you have a look and let us know if there is anything else to do?

The problem is back.

This page w:fr:Discussion utilisateur:Omtylo is inaccessible again and returns a fatal error.

Le processus de Discussions Structurées n’est pas associé avec cette page.

[3b4c3968-12e3-42d1-bed4-a4acf06342f6] 2022-06-19 10:43:56: Erreur fatale de type « Flow\Exception\InvalidDataException »

Automatic translation of the user's message left on Wikipédia:Questions techniques/semaine 20 2022#Exception sur page de discussion Flow:
« I left the parameter on this time, unlike the last time when I had disabled it. ».

This contributor had expressed the wish to disable Flow for his talk page.

(sorry for the late reply)

Ran the script again and moved the Flow talk page to https://fr.wikipedia.org/wiki/Discussion_utilisateur:Omtylo/Archive_2 through my staff account (feel free to move it elsewhere, or let me know if it doesn't let you to). I think Flow should now be disabled for Omtylo. Can you check and reopen if anything's still broken?

To follow up, please ping me if you have any idea how to search for all such pages. Like, if you have a criteria but the query is really hard, I can try to translate it to a spark job and run it on all pages.

I've found another user with this error: https://fr.wikipedia.org/wiki/Utilisateur:CreativeC

Ran the same script. Note that this will likely break again when the user attempts to re-disable their Structured discussion.

To follow up, please ping me if you have any idea how to search for all such pages. Like, if you have a criteria but the query is really hard, I can try to translate it to a spark job and run it on all pages.

Running mwscript extensions/Flow/maintenance/FlowFixInconsistentBoards.php --wiki=<dbname> --dry-run at mwmaint1002 would print all the affected boards at <dbname>. I don't think we need a Spark job, running the script seems sufficient to me.